Uses of Class
com.eqixiac.equinix.fabric.model.json.StreamAssetJson
Packages that use StreamAssetJson
Package
Description
-
Uses of StreamAssetJson in com.eqixiac.equinix.fabric.client.internal
Methods in com.eqixiac.equinix.fabric.client.internal that return StreamAssetJsonModifier and TypeMethodDescriptionStreamAssetClient.deleteDevice(String streamId, String deviceId) DELETE /fabric/v4/streams/{streamId}/devices/{deviceId}.GET /fabric/v4/streams/{streamId}/devices/{deviceId}.StreamAssetClient.updateDevice(String streamId, String deviceId, StreamDevicePutRequest request) PUT /fabric/v4/streams/{streamId}/devices/{deviceId}.Methods in com.eqixiac.equinix.fabric.client.internal that return types with arguments of type StreamAssetJsonModifier and TypeMethodDescriptionStreamAssetClient.search(FilterPropertyList filter, SortPropertyList sort) POST /fabric/v4/streamAssets/search. -
Uses of StreamAssetJson in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type StreamAssetJson in com.eqixiac.equinix.fabric.client.internal.implementationModifier and TypeClassDescriptionclassInternal client for Fabric Stream Assets (attach / detach / get an asset to/from a stream).Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return StreamAssetJsonModifier and TypeMethodDescriptionStreamAssetClientImpl.deleteDevice(String streamId, String deviceId) StreamAssetClientImpl.updateDevice(String streamId, String deviceId, StreamDevicePutRequest request) Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return types with arguments of type StreamAssetJsonModifier and TypeMethodDescriptionStreamAssetClientImpl.search(FilterPropertyList filter, SortPropertyList sort) Methods in com.eqixiac.equinix.fabric.client.internal.implementation with parameters of type StreamAssetJsonModifier and TypeMethodDescriptionprotected StreamAssetStreamAssetClientImpl.wrap(StreamAssetJson json)